<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class meetings_Controller extends Controller
{
    public $selfName = 'meetings_Controller';

	// GET /meetings
	public function index(Request $request) {
		$records = DB::table('meeting')->get();
		return response()->view('admin/meetings/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /meetings/add_new
	public function add_new(Request $request) {
		$records = DB::table('meeting')->get();
		return response()->view('admin/meetings/add_new', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /meetings/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/meetings/view/$uid/SUB_dashboard");
	}
}
